package common;

import java.util.ArrayList;

public class Account {

	private String tableName;

	public Account() {
		this.tableName = "account";
	}

	ArrayList<ArrayList<String>> select(ArrayList<String> params, String query) {

		Environment env = Environment.getEnvironment();

		String driver = env.getParam("driver");
		String url = env.getParam("url");
		String user = env.getParam("user");
		String pass = env.getParam("pass");

		DBAccessWrapper db = new DBAccessWrapper(driver, url, user, pass);

		ArrayList<ArrayList<String>> results;
		results = db.select(params, tableName, query);
		return results;
	}
}
